Open a new sketch in Part Design workbench. First of all sketch a trapezoid on the plane XY. Use dimensions as in the picture. Trapezoid should be connected with point (0,0) by two construction (blue, length = 47) lines.
Pad the sketch. The pad should be 30. You can add fillets to edges.
Make a new sketch on the plane YZ. Draw a wheel section.
Dimension and constraints are shown above.
Revolve the sketch around Z axis (Data tab in Property view). Next hide the revolution by selecting it and pressing [Space].
Use a python script
FreeCAD has a python console (at the bottom). Select Pad in Tree view and copy this script to python console:
teeth= 36
sel = FreeCADGui.Selection.getSelection()
sel = sel[0]
name = sel.Name
shape = sel.Shape
for i in range(1,
teeth
):
newshape = sel.Shape.copy()
newshape.Placement=App.Placement(App.Vector(0,0,0),App.Vector(0,0,1), (i*(float(360)/float(
teeth
))))
newobject = FreeCAD.ActiveDocument.addObject("Part::Feature",name)
newobject.Shape = newshape
35 new pads should appear as in the image above. You made radial pattern!
Short explanation:
teeth= 36
number of padssel = FreeCADGui.Selection.getSelection()
sel = sel[0]
name = sel.Name
shape = sel.Shape
get information from part selected in Tree viewfor i in range(1,teeth):
loop from 1 to 35 (python count from 0)newshape = sel.Shape.copy()
make a copynewshape.Placement=App.Placement(App.Vector(0,0,0),App.Vector(0,0,1), (i*(float(360)/float(
teeth
))))
move the copy, syntax App.Placement(Base, Axis, Angle in deg)Open Part workbench and select all pads (or fillets if made they) in Tree View - use [Shift] and click first and last. You can deselect revolve with [Ctrl]. Now make a fusion (two blue balls icon) of the all pads. Unhide [Space] the revolution.
Select with [Ctrl] revolution and fusion and do cut of them (icon with blue and white ball).
Now we have a crankshaft gear.
You can also open Part Design and add some fillets and chamfers.
More info:
- http://sourceforge.net/apps/mediawiki/free-cad/index.php?title=Macros_recipes
- http://sourceforge.net/apps/phpbb/free-cad/viewtopic.php?f=3&t=576&p=4026&hilit=quaternion#p4026
Download RAW Video.
FreeCAD 0.12 4983 SVN
No comments:
Post a Comment